GET api/mediwaveprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "a72ecc8b-b5d2-405c-868d-02b719257869",
"program_id": "c3e53a8c-b72b-45ea-ac1c-597f3ce8235b",
"mediwave_program_step_type_id": "da6a3e0c-171c-49d6-800f-22dac7fbf086",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>a72ecc8b-b5d2-405c-868d-02b719257869</id> <mediwave_program_step_type_id>da6a3e0c-171c-49d6-800f-22dac7fbf086</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>c3e53a8c-b72b-45ea-ac1c-597f3ce8235b</program_id> </mediwave_program_step>